// Programm:  book_expl14.cpp
#include "abs_relh.hpp" // Wegen rel_divh1()
#include "bnd_arh.hpp"  // Wegen abs_1px_delh(),abs_1mx_delh()
#include "bnd_util.hpp" // Wegen Max_bnd_Xi()
#include <iostream>     // Wegen cout
using namespace cxsc;
using namespace std;
real T_x(const interval& Xi, const real& delx)
{
    interval Z,N,T;
    real delz,deln,eps;
    abs_1px_delh(Xi,delx,Z,delz); // absl. Fehler bzgl. 1+x
    abs_1mx_delh(Xi,delx,N,deln); // absl. Fehler bzgl. 1-x
    rel_divh1(Z,delz,N,deln,T,eps);  // rel. Fehler bzgl. (1+x)/(1-x)
    return eps;  // Rckgabe einer Schranke eps des relativen Fehlers.
}

int main()
{
    interval X1 = interval(-10,pred(-1));
    real bnd, diam = 1e-5, delx=0;
    Max_bnd_Xi(T_x,X1,delx,diam,bnd);
    cout << RndUp << "Relative Fehlerschranke = " << bnd << endl;
}
