// Programm:  book_expl17.cpp
#include "abs_relh.hpp" // Wegen abs_mulh4()
#include "bnd_arh.hpp"  // Wegen rel_1px_delh()
#include "bnd_util.hpp" // Wegen Max_bnd_Xi()
#include <iostream>     // Wegen cout
using namespace cxsc;
using namespace std;

real T_x(const interval& Xi, const real& epsx)
{
    interval P,T;
    real eps,delP;
    abs_mulh4(Xi,epsx,Xi,epsx,P,delP); // delP: abs. Fehler bzgl. x*x
    rel_1px_delh(P,delP,T,eps);      // eps:  rel. Fehler bzgl. 1+x*x
    return eps; // Rckgabe einer Schranke eps des relativen Fehlers.
}

int main()
{
    interval X;
    string("[-1,1]") >> X; 
    real bnd, diam = 1e-5, epsx=0;
    Max_bnd_Xi(T_x,X,epsx,diam,bnd);
    cout << RndUp << "Relative Fehlerschranke = " << bnd << endl;
}
