// Programm:  book_expl10.cpp
#include "abs_relh.hpp" // Wegen abs_addh1, abs_subh1, ...
#include "bnd_util.hpp" // Wegen Max_bnd_Xi()
#include <iostream>     // Wegen cout
using namespace cxsc;
using namespace std;
real T_x(const interval& Xi, const real& delx)
{
    interval One=interval(1),A,B,R;
    real dela,delb,eps;
    abs_addh1(One,0,Xi,delx,A,dela); // abs. Fehler bzgl. 1+x
    abs_subh1(One,0,Xi,delx,B,delb); // abs. Fehler bzgl. 1-x
    rel_divh1(A,dela,B,delb,R,eps);  // rel. Fehler bzgl. (1+x)/(1-x)
    return eps;
}

int main()
{
    interval X1 = interval(-10,pred(-1));
    real bnd, diam = 1e-5, delx=0;
    Max_bnd_Xi(T_x,X1,delx,diam,bnd);
    cout << RndUp << "Relative Fehlerschranke = " << bnd << endl;
}
