// Programm book_expl18.cpp
#include "abs_relh.hpp" // Wegen abs_mulh4(), abs_mulh1() 
#include "bnd_arh.hpp"  // Wegen rel_1px_delh()
#include "bnd_util.hpp" // Wegen Max_bnd_Xi()
#include <iostream>     // Wegen cout
using namespace cxsc;
using namespace std;
real T_x(const interval& Xi, const real& epsx)
{
    interval P,T, F=interval(0.25);
    real eps,delP,delF;
    abs_mulh4(Xi,epsx,Xi,epsx,P,delP); // delP: abs. Fehler bzgl. x*x
    abs_mulh1(F,0,P,delP,T,delF); // delF: abs. Fehler bzgl. 0.25*x*x
    rel_1px_delh(T,delF,F,eps); // eps : rel. Fehler bzgl. 1+0.25*x*x
    return eps;  // Rckgabe einer Schranke eps des relativen Fehlers.
}

int main()
{
    interval X;
    string("[1e-8,0.1]") >> X; // [1e-8,0.1] enthalten in X
    real bnd, diam = 1e-5, epsx=0;
    Max_bnd_Xi(T_x,X,epsx,diam,bnd);
    cout << RndUp << "Relative Fehlerschranke = " << bnd << endl;
}
